## target/printtarg

### Summary

Create a PostScript (PS), Embedded PostScript (EPS) or Tagged Image File Format (TIFF) file containing profile test patch values, ready for printing.

### Usage Summary

printtarg [options] basename
-v Verbose mode
-i 20 | 22 | 41 | 51 | SS | i1 | p3 | CM Select target instrument (default i1)
i1 = i1Pro, 3p = i1Pro3+, CM = ColorMunki
20 = DTP20, 22 = DTP22, 41 = DTP41, 51 = DTP51, SS = SpectroScan,
-a scale Scale patch and spacer size by factor (e.g. 0.857 or 1.5 etc.)
-A scale Scale spacer size by additional factor (e.g. 0.857 or 1.5 etc.)
-h Use hexagon patches for SS, double density for CM
-r Don't randomize patch location
-s Create a scan image recognition (.cht) file
-S Same as -s, but don't generate wide orientation strip.
-c Force colored spacers
-b Force B&W spacers
-n Force no spacers
-f Create PostScript DeviceN Color fallback
-w g|r|s|n White colorspace encoding DeviceGray (def), DeviceRGB, Separation or DeviceN
-k g|c|s|n Black colorspace encoding DeviceGray (def), DeviceCMYK, Separation or DeviceN
-o k|n CMY colorspace encoding DefiveCMYK (def), inverted DeviceRGB or DeviceN
-e Output EPS compatible file
-t [res] Output 8 bit TIFF raster file, optional res DPI (default 200)
-T [res] Output 16 bit TIFF raster file, optional res DPI (default 200)
-C Don't use TIFF compression
-N Use TIFF alpha N channels more than 4
-D Dither 8 bit TIFF values down from 16 bit
-Q nbits Quantize test values to fit in nbits
- K file.cal Apply printer calibration to patch values and include in .ti2
-I file.cal Include calibration in .ti2 (but don't apply it)
The -R parameter allows setting the random layout seed. Normally the seed is chosen at random, but sometimes it is useful to be able to generate a chart with the same layout, so a specific seed can be specified this way. The seed (ID) used to generate a chart is recorded in the .ti2 file, and is also in the label printed on the right hand side of each chart.
The -x parameter allows specifying the labeling sequence used for strips (e.g. the X axis of the chart). By default this will be a character sequence A, B, C .. Z. AA, AB, AC .. ZZ, but this can be changed by specifying an alternate labeling sequence pattern. The pattern specifies the labeling sequence as follows: First comes the definition of the symbols for each digit location, least significant to most significant, each digit separated by the ',' character. Note that space is a valid character. The number of definitions declares the maximum number of digits. For example, for a 2 digit numerical sequence: "0123456789, 123456789" would define 0..99 with the most significant digit suppressed when it is 0 (because it uses a space rather than 0). Ranges can be used for brevity: "0-9, 1-9". As a special case, the '@' character can be used to instead of '0' to indicate suppression of the leading zero: "0-9,@-9". Leading ' ' characters in the resulting generated sequence are omitted. Optionally following this and delimited by a ';' character, are the definitions of valid segments of the index sequence. For instance, to define the index range to be 1..19, 30..39 one could use the pattern "0-9, 1-9;1-19,30-39". Of course most of the time an alphabetic sequence will be wanted, to distinguish it from the numerical sequence used to number the patches in a strip. For a sequence A, B, C .. AA, AB, AC etc. (the default used in Argyll), the following patter would be used: "A-Z, A-Z". For a some ECI2002R charts that skip columns Y and Z, and use a leading numeric digits for addressing strips over 26, the following might be used: "A-Z, 2-9;A-X,2A-9Z".
The -y parameter allows specifying the labeling sequence used for patches (e.g. the Y axis of the chart). By default this will be a number sequence 1, 2, ..10, 11, ... 999, but this can be changed by specifying an alternate labeling sequence pattern. See the above description for the labeling sequence encoding.
NOTE that the pattern chosen for the X and Y axes of the chart must be distinguishable, e.g. if they are both numbers or both letters then reading the chart will fail.
The -w parameter changes how a white colorspace test chart (ie. Additive Grey monochrome) will be represented in the Postscript or TIFF output. The default is to use the DeviceGray representation (-wg), but Device RGB can also be used, where the R, G &B values are all set to the same value (-wr), a White separation color can be specified (-ws), or a DeviceN White color can be used (-wn).
The -k parameter changes how a black colorspace test chart (ie. Subtractive Grey monochrome ) will be represented in the Postscript or TIFF output. The default is to use the DeviceGray representation (-kg), but Device CMYK can also be used, where the CMY values are zero, and just the K channel is used (-kc), a Black separation color can be specified (-ks), or a DeviceN Black color can be used (-kn).
The -o parameter changes how a CMY colorspace test chart will be represented in the Postscript or TIFF output. The default is to use the DeviceCMYK representation (-ok) where the K value is always zero, or inverted Device RGB (-or), or as a 3 channel DeviceN colorsoace can be used (-on).
The -m parameter sets the page margin for all sides. If the printer has print margins larger than the default assumed by printtarg, then critical parts of the test chart may be cropped or scaled, and not printed properly. Increasing the margin from the default of 6 mm to 10 or 15 mm, may alleviate this problem. (Note that the number of patches per page may be reduced as a consequence.) Decreasing the margin below 6 mm may be possible for printers that have smaller or no margins, increasing the number of patches possible on each page. A TIFF chart raster will be the size of the paper minus the margin, so that it can be placed on a page that size without cropping or inadvertent scaling.
The -M parameter sets the page margin for all sides the same as -m, but for a TIFF chart the margin will be included in the raster, meaning that the TIFF will have to be printed right to the edge of the paper, or on paper larger than the raster size. (Having the raster be the full page size may be useful in certain situations.)
The -P flag disables any normal limiting of strip length that would normally be imposed due to guide or instrument limitations. There is still an upper limit of around 500 patches or 2 Meters though. Note that if you generate a strip larger than the instrument can cope with, it may be unable to read the strip.
The -L flag suppresses the left margin that is added for instruments that have a paper holder that has a clip to hold the chart in place, while it is being read. (Currently this is only the Eye-One Pro).
The -U flag suppresses the CUPS %cupsJobTicket: cups-disable-cmm in PS and EPS files. By default this ensures that the resulting files doesn't have color management applied to it. If you are creating a test chart that should be color managed (perhaps because you want to use it to verify the overall operation of the printing system), then you can use the -U flag to disable this.
The -p parameter specifies the paper size. The size can either be one of the default sizes, or can be specified in millimeters. Limitations of the instrument may limit the maximum number of patches in a strip. For SpectroScan, a size of A4 or Letter (or smaller) should be used. Useful combinations of number of patches and paper size are listed here. The printed parts of the chart will be the size of paper minus the page margin. A TIFF chart will be the size of the paper minus the margin, so that it can be placed on a page that size without cropping or inadvertent scaling, but also see the -M flag.
basename is the base file name of the .ti1 file that contains the device values to be put on the test chart. printtarg will output a basename.ps or one or more basename_NN.eps or basename_NN.tif files files that should be printed on the devices, as well as a basename.ti2 file that contains both the device test point values, and the location of the corresponding patch on the test chart. If the -s or -S flag was specified, then one or more basename_NN.cht files will also be generated.
GSview or GhostView are good programs to use to check what the PostScript or EPS file will look like, without actually printing it out. Alternatively, use the TIFF raster output for non-PostScript printers.